%define pkg_name        Cache-Cache
%define pkg_version     1.05
%define rpm_pkg_version 1.05
%define rpm_pkg_release 2.n0i.9

Summary:       Generic cache interface and implementations
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/D/DC/DCLINTON/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
Requires:      perl(Digest::SHA1) >= 2.02
Requires:      perl(Error) >= 0.15
Requires:      perl(File::Spec) >= 0.82
Requires:      perl(IPC::ShareLite) >= 0.09
Requires:      perl(Storable) >= 1.014
%{!?_without_test:BuildRequires: perl(Digest::SHA1) >= 2.02}
%{!?_without_test:BuildRequires: perl(Error) >= 0.15}
%{!?_without_test:BuildRequires: perl(File::Spec) >= 0.82}
%{!?_without_test:BuildRequires: perl(IPC::ShareLite) >= 0.09}
%{!?_without_test:BuildRequires: perl(Storable) >= 1.014}


%description
The Cache modules are designed to assist a developer in persisting data for a
specified period of time. Often these modules are used in web applications to
store data locally to save repeated and redundant expensive calls to remote
machines or databases. People have also been known to use Cache::Cache for its
straightforward interface in sharing data between runs of an application or
invocations of a CGI-style script or simply as an easy to use abstraction of
the filesystem or shared memory.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc CHANGES COPYING CREDITS DISCLAIMER README STYLE


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.05-2.n0i.9
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- mass rebuild

* Sun May 28 2006 Marius Feraru <altblue@n0i.net> - 1.05-1.n0i.8
- version 1.05

* Sun Jul 24 2005 Marius Feraru <altblue@n0i.net> 1.04-3.n0i.7
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:1.04-2.n0i.6
- version 1.04

* Sun Dec 05 2004 Marius Feraru <altblue@n0i.net> 0:1.03-1.n0i.5
- version 1.03

* Fri Apr 30 2004 Marius Feraru <altblue@n0i.net> 0:1.02-1.n0i.4
- automatic rebuild

* Thu Apr 22 2004 Marius Feraru <altblue@n0i.net> 0:1.02-1.n0i.3
- spec file (re?)created using N0i::CPAN::RPMizer/2004032101
- rebuild (perl 5.8.4)

* Thu Jan 22 2004 Marius FERARU <altblue@n0i.net> 0:1.02-0.n0i.2
- automatic rebuild (perl v.5.8.3)

* Mon Jan 05 2004 Marius FERARU <altblue@n0i.net> 0:1.02-0.n0i.1
- version 1.02
- spec file (re?)created using N0i::CPAN::RPMizer/2003102001
